# OpenLayers.Format.OGCExceptionReport

Class to read exception reports for various OGC services and versions.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.OGCExceptionReport | Class to read exception reports for various OGC services and versions.
Properties |
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
regExes | Compiled regular expressions for manipulating strings.
defaultPrefix |
Constructor |
OpenLayers.Format.OGCExceptionReport | Create a new parser for OGC exception reports.
Functions |
read | Read OGC exception report data from a string, and return an object with information about the exceptions.
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.

### Properties

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### regExes

Compiled regular expressions for manipulating strings.

### defaultPrefix

### Constructor

### OpenLayers.Format.OGCExceptionReport

Create a new parser for OGC exception reports.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read OGC exception report data from a string, and return an object with information about the exceptions.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Object} Information about the exceptions that occurred.

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

> read: function( | data | )

Read OGC exception report data from a string, and return an object with information about the exceptions.
Read and write XML.
Close